Tenseur_sym mathematics
Old tensorial fields (*** Deprecated ***)

() More...

## Functions

Tenseur_sym | Lorene::operator+ (const Tenseur_sym &)
Tenseur_sym | Lorene::operator- (const Tenseur_sym &)
| `-` Tenseur_sym
Tenseur_sym | Lorene::operator+ (const Tenseur_sym &, const Tenseur_sym &)
| Tenseur_sym + Tenseur_sym.
Tenseur_sym | Lorene::operator- (const Tenseur_sym &, const Tenseur_sym &)
| Tenseur_sym - Tenseur_sym.
Tenseur_sym | Lorene::operator* (const Tenseur_sym &, double)
| Tenseur_sym * double.
Tenseur_sym | Lorene::operator* (double, const Tenseur_sym &)
| double * Tenseur_sym
Tenseur_sym | Lorene::operator* (const Tenseur_sym &, int)
| Tenseur_sym * int.
Tenseur_sym | Lorene::operator* (int, const Tenseur_sym &)
| int * Tenseur_sym
Tenseur_sym | Lorene::operator/ (const Tenseur_sym &a, const Tenseur &b)
| Tenseur_sym / Tenseur (`b` must be a scalar).
Tenseur_sym | Lorene::operator/ (const Tenseur_sym &, double)
| Tenseur_sym / double.
Tenseur_sym | Lorene::operator/ (const Tenseur_sym &, int)
| Tenseur_sym / int.

## Detailed Description

()

## Function Documentation

## operator*() [1/4]

Tenseur_sym Lorene::operator* | ( | const Tenseur_sym & | t,
|  | double | x )

Tenseur_sym * double.

Definition at line 197 of file tenseur_sym_arithm.C.

References x.

## operator*() [2/4]

Tenseur_sym Lorene::operator* | ( | const Tenseur_sym & | t,
|  | int | m )

Tenseur_sym * int.

Definition at line 206 of file tenseur_sym_arithm.C.

## operator*() [3/4]

Tenseur_sym Lorene::operator* | ( | double | x,
|  | const Tenseur_sym & | t )

double * Tenseur_sym

Definition at line 174 of file tenseur_sym_arithm.C.

References Lorene::Tenseur_sym::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_etat_zero(), and x.

## operator*() [4/4]

Tenseur_sym Lorene::operator* | ( | int | m,
|  | const Tenseur_sym & | t )

int * Tenseur_sym

Definition at line 201 of file tenseur_sym_arithm.C.

## operator+() [1/2]

Tenseur_sym Lorene::operator+ | ( | const Tenseur_sym & | t | ) |

- Tenseur_sym

Definition at line 94 of file tenseur_sym_arithm.C.

## operator+() [2/2]

Tenseur_sym Lorene::operator+ | ( | const Tenseur_sym & | t1,
|  | const Tenseur_sym & | t2 )

Tenseur_sym + Tenseur_sym.

Definition at line 124 of file tenseur_sym_arithm.C.

References Lorene::Tenseur_sym::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), and Lorene::Tenseur::set_etat_qcq().

## operator-() [1/2]

Tenseur_sym Lorene::operator- | ( | const Tenseur_sym & | t | ) |

`-` Tenseur_sym

Definition at line 101 of file tenseur_sym_arithm.C.

References Lorene::Tenseur_sym::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), and Lorene::Tenseur::set_etat_qcq().

## operator-() [2/2]

Tenseur_sym Lorene::operator- | ( | const Tenseur_sym & | t1,
|  | const Tenseur_sym & | t2 )

Tenseur_sym - Tenseur_sym.

Definition at line 163 of file tenseur_sym_arithm.C.

## operator/() [1/3]

Tenseur_sym Lorene::operator/ | ( | const Tenseur_sym & | t,
|  | double | x )

Tenseur_sym / double.

Definition at line 263 of file tenseur_sym_arithm.C.

References Lorene::Tenseur_sym::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), and x.

## operator/() [2/3]

Tenseur_sym Lorene::operator/ | ( | const Tenseur_sym & | t,
|  | int | m )

Tenseur_sym / int.

Definition at line 289 of file tenseur_sym_arithm.C.

## operator/() [3/3]

Tenseur_sym Lorene::operator/ | ( | const Tenseur_sym & | a,
|  | const Tenseur & | b )

Tenseur_sym / Tenseur (`b` must be a scalar).

Definition at line 216 of file tenseur_sym_arithm.C.

References Lorene::Tenseur_sym::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_metric(), and Lorene::Tenseur::set_poids().